{% extends "base.html" %}

{% block homecontent %}
    <div class="home-outer-container">
        <div class="home-image-container">
            <img src="/static/images/quora_image.png" alt="not found">
        </div>
        <div class="home-signin-container">
            <div class="signin-inner-container">
              <h1>Register</h1>
              <form action="" method="post">
                  {{ form.hidden_tag() }}
                  <p>
                      {{ form.username.label }}<br>
                      {{ form.username(size=32) }}<br>
                      {% for error in form.username.errors %}
                      <span style="color: red;">[{{ error }}]</span>
                      {% endfor %}
                  </p>
                  <p>
                      {{ form.email.label }}<br>
                      {{ form.email(size=64) }}<br>
                      {% for error in form.email.errors %}
                      <span style="color: red;">[{{ error }}]</span>
                      {% endfor %}
                  </p>
                  <p>
                      {{ form.password.label }}<br>
                      {{ form.password(size=32) }}<br>
                      {% for error in form.password.errors %}
                      <span style="color: red;">[{{ error }}]</span>
                      {% endfor %}
                  </p>
                  <p>
                      {{ form.password2.label }}<br>
                      {{ form.password2(size=32) }}<br>
                      {% for error in form.password2.errors %}
                      <span style="color: red;">[{{ error }}]</span>
                      {% endfor %}
                  </p>
                  <p>{{ form.submit() }}</p>
              </form>
              <a href="{{ url_for('index') }}">Continue with out signing</a>
            </div>
        </div>
    </div>
{% endblock %}
